Bug 34301 - Pcmcia Service Failure to load base modules
Pcmcia Service Failure to load base modules
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-01 14:32 EDT by Alex Genna
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 00:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Genna 2001-04-01 14:32:32 EDT
HI,
Can anyone help me getting PCMCIA up and running.
I have a dell Latitude LM p133st with 24 megs ram and ---now a new Linksys 
PCMLM56 eternet/modem.
I was running mandrake 7.0 which did't seem to detect to new card.  having 
never compiled a new kernel and about the same time the 2.4 kernel was 
released...So i installed a beta version of redhat with the 2.4.1 kernel 
RPM 
(..better support)

.....the card still will not detect, but more than this seems to be the 
problem.
pcmcia_core loads but I can't get ds.o or i82365.o to load the insmod 
error comes back with:
"Hint: insmod errors can be caused by incorrect module parameters, 
including invalid IO or IRQ parameters"

how do i find out if there is a conflict and if so how do i correct it.

so far I'v re-compiled the kernel and pcmcia-cs-....but no luck

any help would be greatly appreciated
attahed is all the info i can think to give

Statement already existed in /etc/pcmcia/config:

card "Linksys EtherFast LANmodem 56K"
   version "Linksys", "EtherFast 10&100 + 56K PC Card (PCMLM56)"
   bind "pcnet_cs", "serial_cs"

link to lm specs
http://support.dell.com/us/en/techfax/systems/notebook/20026.htm

***************************************************************************
**************************************************
test_setup script
***************************************************************************
**************************************************

Current kernel: 2.4.1-0.1.9 #1 Wed Feb 14 21:10:32 EST 2001
Module info from /lib/modules/2.4.1-0.1.9/pcmcia/pcmcia_core.o:
  Linux PCMCIA Card Services 3.1.22
  options: [pci] [cardbus] [pm]
Startup options from /etc/sysconfig/pcmcia:
  PCMCIA=yes
  PCIC=i82365
  PCIC_OPTS=
  CORE_OPTS=
Checking current syslog files in /var/log:
  All PCMCIA messages are in /var/log/messages.
Module status:
  No socket drivers are loaded.
Daemon status:
  /var/run/cardmgr.pid does not exist.

***************************************************************************
**************************************************
demsg
***************************************************************************
**************************************************

Linux version 2.4.1-0.1.9 (root@porky.devel.redhat.com) (gcc version 2.96 
20000731 (Red Hat Linux 7.1 2.96-75)) #1 Wed Feb 14 21:10:32 EST 2001
BIOS-provided physical RAM map:
 BIOS-e801: 000000000009f000 @ 0000000000000000 (usable)
 BIOS-e801: 0000000001700000 @ 0000000000100000 (usable)
On node 0 totalpages: 6144
zone(0): 4096 pages.
zone(1): 2048 pages.
zone(2): 0 pages.
Kernel command line: auto BOOT_IMAGE=linux ro root=307 
BOOT_FILE=/boot/vmlinuz-2.4.1-0.1.9
Initializing CPU#0
Detected 133.638 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 266.24 BogoMIPS
Memory: 21856k/24576k available (1018k kernel code, 2332k reserved, 388k 
data, 236k init, 0k highmem)
Dentry-cache hash table entries: 4096 (order: 3, 32768 bytes)
Buffer-cache hash table entries: 1024 (order: 0, 4096 bytes)
Page-cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 2048 (order: 2, 16384 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 000001bf 00000000 00000000, vendor = 0
Intel Pentium with F0 0F bug - workaround enabled.
CPU: After vendor init, caps: 000001bf 00000000 00000000 00000000
CPU: After generic, caps: 000001bf 00000000 00000000 00000000
CPU: Common caps: 000001bf 00000000 00000000 00000000
CPU: Intel Pentium 75 - 200 stepping 0c
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: none
PCI: PCI BIOS revision 2.10 entry at 0xfd3ca, last bus=0
PCI: Using configuration type 1
PCI: Probing PCI hardware
isapnp: Scanning for Pnp cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.1 Flags 0x03 (Driver version 1.14)
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 14418kB/4806kB, 64 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
hda: TOSHIBA MK6014MAP, ATA DISK drive
hdb: CD-ROM CDR-N16, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: 11733120 sectors (6007 MB), CHS=776/240/63
Partition check:
 hda: hda1 hda2 < hda5 hda6 hda7 hda8 hda9 hda10 > hda4
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT 
SHARE_IRQ SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10d
atp.c:v1.09 8/9/2000 Donald Becker <becker@scyld.com>
  http://www.scyld.com/network/atp.html
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
autorun ...
... autorun DONE.
LVM version 0.9.1_beta2  by Heinz Mauelshagen  (18/01/2001)
lvm -- Driver successfully initialized
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 2048 bind 2048)
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 236k freed
Adding Swap: 136040k swap-space (priority -1)
ip_conntrack (192 buckets, 1536 max)
Linux PCMCIA Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
Intel PCIC probe: not found.
ds: no socket drivers loaded!



***************************************************************************
**************************************************
/var/log/message
***************************************************************************
**************************************************

Mar 24 13:19:03 localhost syslogd 1.4-0: restart.
Mar 24 13:19:03 localhost syslog: syslogd startup succeeded
Mar 24 13:19:03 localhost kernel: klogd 1.4-0, log source = /proc/kmsg 
started.
Mar 24 13:19:03 localhost kernel: Inspecting /boot/System.map-2.4.1-0.1.9
Mar 24 13:19:03 localhost syslog: klogd startup succeeded
Mar 24 13:19:04 localhost portmap: portmap startup succeeded
Mar 24 13:19:05 localhost nfslock: rpc.statd startup succeeded
Mar 24 13:19:05 localhost keytable: Loading keymap: 
Mar 24 13:18:34 localhost rc.sysinit: Mounting proc filesystem:  succeeded 
Mar 24 13:18:34 localhost sysctl: net.ipv4.ip_forward = 0 
Mar 24 13:18:34 localhost sysctl: net.ipv4.conf.all.rp_filter = 1 
Mar 24 13:18:34 localhost sysctl: kernel.sysrq = 0 
Mar 24 13:18:34 localhost rc.sysinit: Configuring kernel parameters:  
succeeded 
Mar 24 13:18:34 localhost date: Sat Mar 24 13:18:32 EST 2001 
Mar 24 13:18:34 localhost rc.sysinit: Setting clock  (localtime): Sat Mar 
24 13:18:32 EST 2001 succeeded 
Mar 24 13:18:34 localhost rc.sysinit: Loading default keymap succeeded 
Mar 24 13:18:34 localhost rc.sysinit: Setting default font (lat0-sun16):  
succeeded 
Mar 24 13:18:34 localhost rc.sysinit: Activating swap partitions:  
succeeded 
Mar 24 13:18:34 localhost rc.sysinit: Setting hostname 
localhost.localdomain:  succeeded 
Mar 24 13:18:34 localhost fsck: /: clean, 15008/77520 files, 94815/309928 
blocks 
Mar 24 13:18:34 localhost rc.sysinit: Checking root filesystem succeeded 
Mar 24 13:18:34 localhost rc.sysinit: Setting up ISA PNP devices:  
succeeded 
Mar 24 13:18:34 localhost rc.sysinit: Remounting root filesystem in read-
write mode:  succeeded 
Mar 24 13:18:37 localhost rc.sysinit: Finding module dependencies:  
succeeded 
Mar 24 13:18:38 localhost fsck: /home: clean, 250/104040 files, 
33672/415768 blocks 
Mar 24 13:18:38 localhost rc.sysinit: Checking filesystems succeeded 
Mar 24 13:18:38 localhost fsck: /usr: clean, 72822/242880 files, 
295971/485722 blocks 
Mar 24 13:18:40 localhost rc.sysinit: Mounting local filesystems:  
succeeded 
Mar 24 13:18:40 localhost rc.sysinit: Turning on user and group quotas for 
local filesystems:  succeeded
Mar 24 13:18:41 localhost rc.sysinit: Enabling swap space:  succeeded 
Mar 24 13:18:44 localhost init: Entering runlevel: 3 
Mar 24 13:18:45 localhost kudzu: Updating /etc/fstab succeeded 
Mar 24 13:18:59 localhost kudzu:  succeeded 
Mar 24 13:19:01 localhost sysctl: net.ipv4.ip_forward = 0 
Mar 24 13:19:01 localhost sysctl: net.ipv4.conf.all.rp_filter = 1 
Mar 24 13:19:01 localhost sysctl: kernel.sysrq = 0 
Mar 24 13:19:01 localhost network: Setting network parameters:  succeeded 
Mar 24 13:19:05 localhost keytable: 
Mar 24 13:19:02 localhost ifup: ipcalc: netmask expected 
Mar 24 13:19:06 localhost keytable: Loading system font: 
Mar 24 13:19:02 localhost network: Bringingup interface lo:  succeeded 
Mar 24 13:19:03 localhost insmod: /lib/modules/2.4.1-
0.1.9/kernel/drivers/net/tulip/tulip.o: init_module: No such device 
Mar 24 13:19:03 localhost insmod: /lib/modules/2.4.1-
0.1.9/kernel/drivers/net/tulip/tulip.o: insmod eth0 failed 
Mar 24 13:19:06 localhost keytable: 
Mar 24 13:19:06 localhost rc: Starting keytable:  succeeded
Mar 24 13:19:06 localhost kernel: Loaded 14146 symbols 
from /boot/System.map-2.4.1-0.1.9.
Mar 24 13:19:06 localhost kernel: Symbols match kernel version 2.4.1.
Mar 24 13:19:06 localhost kernel: Loaded 56 symbols from 5 modules.
Mar 24 13:19:06 localhost kernel: Linux version 2.4.1-0.1.9 
(root@porky.devel.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 
7.1 2.96-75)) #1 Wed Feb 14 21:10:32 EST 2001
Mar 24 13:19:06 localhost kernel: BIOS-provided physical RAM map:
Mar 24 13:19:06 localhost kernel:  BIOS-e801: 000000000009f000 @ 
0000000000000000 (usable)
Mar 24 13:19:06 localhost kernel:  BIOS-e801: 0000000001700000 @ 
0000000000100000 (usable)
Mar 24 13:19:06 localhost kernel: On node 0 totalpages: 6144
Mar 24 13:19:06 localhost kernel: zone(0): 4096 pages.
Mar 24 13:19:06 localhost kernel: zone(1): 2048 pages.
Mar 24 13:19:06 localhost kernel: zone(2): 0 pages.
Mar 24 13:19:06 localhost kernel: Kernel command line: auto 
BOOT_IMAGE=linux ro root=307 BOOT_FILE=/boot/vmlinuz-2.4.1-0.1.9
Mar 24 13:19:06 localhost kernel: Initializing CPU#0
Mar 24 13:19:06 localhost kernel: Detected 133.638 MHz processor.
Mar 24 13:19:06 localhost kernel: Console: colour VGA+ 80x25
Mar 24 13:19:06 localhost kernel: Calibrating delay loop... 266.24 BogoMIPS
Mar 24 13:19:06 localhost kernel: Memory: 21856k/24576k available (1018k 
kernel code, 2332k reserved, 388k data, 236k init, 0k highmem)
Mar 24 13:19:06 localhost kernel: Dentry-cache hash table entries: 4096 
(order: 3, 32768 bytes)
Mar 24 13:19:06 localhost kernel: Buffer-cache hash table entries: 1024 
(order: 0, 4096 bytes)
Mar 24 13:19:06 localhost kernel: Page-cache hash table entries: 8192 
(order: 3, 32768 bytes)
Mar 24 13:19:06 localhost kernel: Inode-cache hash table entries: 2048 
(order: 2, 16384 bytes)
Mar 24 13:19:06 localhost kernel: VFS: Diskquotas version dquot_6.5.0 
initialized
Mar 24 13:19:06 localhost kernel: CPU: Before vendor init, caps: 000001bf 
00000000 00000000, vendor = 0
Mar 24 13:19:06 localhost kernel: Intel Pentium with F0 0F bug - 
workaround enabled.
Mar 24 13:19:06 localhost kernel: CPU: After vendor init, caps: 000001bf 
00000000 00000000 00000000
Mar 24 13:19:06 localhost kernel: CPU: After generic, caps: 000001bf 
00000000 00000000 00000000
Mar 24 13:19:06 localhost kernel: CPU: Common caps: 000001bf 00000000 
00000000 00000000
Mar 24 13:19:06 localhost kernel: CPU: Intel Pentium 75 - 200 stepping 0c
Mar 24 13:19:06 localhost kernel: Checking 'hlt' instruction... OK.
Mar 24 13:19:06 localhost kernel: POSIX conformance testing by UNIFIX
Mar 24 13:19:06 localhost kernel: mtrr: v1.37 (20001109) Richard Gooch 
(rgooch@atnf.csiro.au)
Mar 24 13:19:06 localhost kernel: mtrr: detected mtrr type: none
Mar 24 13:19:06 localhost kernel: PCI: PCI BIOS revision 2.10 entry at 
0xfd3ca, last bus=0
Mar 24 13:19:06 localhost kernel: PCI: Using configuration type 1
Mar 24 13:19:06 localhost kernel: PCI: Probing PCI hardware
Mar 24 13:19:07 localhost kernel: isapnp: Scanning for Pnp cards...
Mar 24 13:19:07 localhost kernel: isapnp: No Plug & Play device found
Mar 24 13:19:07 localhost kernel: Linux NET4.0 for Linux 2.4
Mar 24 13:19:07 localhost kernel: Based upon Swansea University Computer 
Society NET3.039
Mar 24 13:19:07 localhost kernel: Initializing RT netlink socket
Mar 24 13:19:07 localhost kernel: apm: BIOS version 1.1 Flags 0x03 (Driver 
version 1.14)
Mar 24 13:19:07 localhost kernel: Starting kswapd v1.8
Mar 24 13:19:07 localhost kernel: pty: 256 Unix98 ptys configured
Mar 24 13:19:07 localhost kernel: block: queued sectors max/low 
14418kB/4806kB, 64 slots per queue
Mar 24 13:19:07 localhost kernel: RAMDISK driver initialized: 16 RAM disks 
of 4096K size 1024 blocksize
Mar 24 13:19:07 localhost kernel: Uniform Multi-Platform E-IDE driver 
Revision: 6.31
Mar 24 13:19:07 localhost kernel: ide: Assuming 33MHz system bus speed for 
PIO modes; override with idebus=xx
Mar 24 13:19:07 localhost kernel: hda: TOSHIBA MK6014MAP, ATA DISK drive
Mar 24 13:19:07 localhost kernel: hdb: CD-ROM CDR-N16, ATAPI CD/DVD-ROM 
drive
Mar 24 13:19:07 localhost kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Mar 24 13:19:07 localhost kernel: hda: 11733120 sectors (6007 MB), 
CHS=776/240/63
Mar 24 13:19:07 localhost kernel: Partition check:
Mar 24 13:19:07 localhost kernel:  hda: hda1 hda2 < hda5 hda6 hda7 hda8 
hda9 hda10 > hda4
Mar 24 13:19:07 localhost kernel: Floppy drive(s): fd0 is 1.44M
Mar 24 13:19:07 localhost kernel: FDC 0 is a post-1991 82077
Mar 24 13:19:07 localhost kernel: Serial driver version 5.02 (2000-08-09) 
with MANY_PORTS MULTIPORT SHARE_IRQ SERIAL_PCI ISAPNP enabled
Mar 24 13:19:07 localhost kernel: ttyS00 at 0x03f8 (irq = 4) is a 16550A
Mar 24 13:19:07 localhost kernel: ttyS01 at 0x02f8 (irq = 3) is a 16550A
Mar 24 13:19:07 localhost kernel: Real Time Clock Driver v1.10d
Mar 24 13:19:07 localhost kernel: atp.c:v1.09 8/9/2000 Donald Becker 
<becker@scyld.com>
Mar 24 13:19:07 localhost kernel:   http://www.scyld.com/network/atp.html
Mar 24 13:19:07 localhost kernel: md driver 0.90.0 MAX_MD_DEVS=256, 
MD_SB_DISKS=27
Mar 24 13:19:07 localhost kernel: md.c: sizeof(mdp_super_t) = 4096
Mar 24 13:19:07 localhost kernel: autodetecting RAID arrays
Mar 24 13:19:07 localhost kernel: autorun ...
Mar 24 13:19:07 localhost kernel: ... autorun DONE.
Mar 24 13:19:07 localhost kernel: LVM version 0.9.1_beta2  by Heinz 
Mauelshagen  (18/01/2001)
Mar 24 13:19:07 localhost kernel: lvm -- Driver successfully initialized
Mar 24 13:19:07 localhost kernel: NET4: Linux TCP/IP 1.0 for NET4.0
Mar 24 13:19:07 localhost kernel: IP Protocols: ICMP, UDP, TCP, IGMP
Mar 24 13:19:07 localhost kernel: IP: routing cache hash table of 512 
buckets, 4Kbytes
Mar 24 13:19:07 localhost kernel: TCP: Hash tables configured (established 
2048 bind 2048)
Mar 24 13:19:07 localhost kernel: NET4: Unix domain sockets 1.0/SMP for 
Linux NET4.0.
Mar 24 13:19:07 localhost kernel: VFS: Mounted root (ext2 filesystem) 
readonly.
Mar 24 13:19:07 localhost kernel: Freeing unused kernel memory: 236k freed
Mar 24 13:19:07 localhost kernel: Adding Swap: 136040k swap-space 
(priority -1)
Mar 24 13:19:07 localhost kernel: ip_conntrack (192 buckets, 1536 max)
Mar 24 13:19:10 localhost pcmcia: Starting PCMCIA services:
Mar 24 13:19:10 localhost pcmcia:  modules
Mar 24 13:19:10 localhost kernel: Linux PCMCIA Card Services 3.1.22
Mar 24 13:19:10 localhost kernel:   options:  [pci] [cardbus] [pm
Mar 24 13:19:10 localhost kernel: Intel PCIC probe: not found.
Mar 24 13:19:10 localhost pcmcia: /lib/modules/2.4.1-
0.1.9/pcmcia/i82365.o: 
Mar 24 13:19:10 localhost pcmcia: Hint: insmod errors can be caused by 
incorrect module parameters, including invalid IO or IRQ parameters
Mar 24 13:19:10 localhost pcmcia: init_module: No such device
Mar 24 13:19:10 localhost kernel: ds: no socket drivers loaded!
Mar 24 13:19:10 localhost pcmcia: /lib/modules/2.4.1-0.1.9/pcmcia/ds.o: 
Mar 24 13:19:10 localhost pcmcia: Hint: insmod errors can be caused by 
incorrect module parameters, including invalid IO or IRQ parameters
Mar 24 13:19:10 localhost pcmcia:  cardmgr.
Mar 24 13:19:10 localhost pcmcia: init_module: Operation not permitted
Mar 24 13:19:11 localhost rc: Starting pcmcia:  succeeded
Mar 24 13:19:11 localhost cardmgr[441]: starting, version is 3.1.22
Mar 24 13:19:11 localhost cardmgr[441]: no pcmcia driver in /proc/devices
Mar 24 13:19:11 localhost cardmgr[441]: exiting
Mar 24 13:19:11 localhost random: Initializing random number generator:  
succeeded
Mar 24 13:19:13 localhost netfs: Mounting other filesystems:  succeeded
Mar 24 13:19:14 localhost apmd: apmd startup succeeded
Mar 24 13:19:14 localhost apmd[494]: Version 3.0final (APM BIOS 1.1, Linux 
driver 1.14)
Mar 24 13:19:14 localhost apmd[494]: Battery: * * * (100% unknown)
Mar 24 13:19:15 localhost autofs: autofs startup succeeded
Mar 24 13:19:15 localhost automount[542]: starting automounter version 
3.1.7, path = /misc, maptype = file, mapname = /etc/auto.misc
Mar 24 13:19:15 localhost atd: atd startup succeeded
Mar 24 13:19:16 localhost automount[542]: using kernel protocol version 3
Mar 24 13:19:16 localhost sshd: Starting sshd:  succeeded
Mar 24 13:19:17 localhost xinetd[587]: chargen disabled, removing
Mar 24 13:19:17 localhost xinetd[587]: time disabled, removing
Mar 24 13:19:17 localhost xinetd[587]: time disabled, removing
Mar 24 13:19:17 localhost xinetd[587]: rsync disabled, removing
Mar 24 13:19:17 localhost xinetd[587]: linuxconf disabled, removing
Mar 24 13:19:17 localhost xinetd[587]: echo-udp disabled, removing
Mar 24 13:19:17 localhost xinetd[587]: echo disabled, removing
Mar 24 13:19:17 localhost xinetd[587]: daytime-udp disabled, removing
Mar 24 13:19:17 localhost xinetd[587]: daytime disabled, removing
Mar 24 13:19:17 localhost xinetd[587]: chargen-udp disabled, removing
Mar 24 13:19:17 localhost xinetd[587]: xinetd Version 2.1.8.9pre14 started 
with 
Mar 24 13:19:17 localhost xinetd[587]: libwrap 
Mar 24 13:19:17 localhost xinetd[587]: options compiled in.
Mar 24 13:19:17 localhost xinetd[587]: Started working: 0 available service
Mar 24 13:19:20 localhost xinetd: xinetd startup succeeded
Mar 24 13:19:23 localhost sendmail: sendmail startup succeeded
Mar 24 13:19:23 localhost gpm: gpm startup succeeded
Mar 24 13:19:24 localhost crond: crond startup succeeded
Mar 24 13:19:25 localhost xfs: xfs startup succeeded
Mar 24 13:19:25 localhost xfs: listening on port 7100 
Mar 24 13:19:26 localhost anacron: anacron startup succeeded
Mar 24 13:19:26 localhost rhnsd[698]: Red Hat Network Services Daemon 
starting up.
Mar 24 13:19:26 loc
lhost rhnsd: rhnsd startup succeeded
Mar 24 13:19:30 localhost linuxconf: Running Linuxconf hooks:  succeeded
Mar 24 13:19:40 localhost login(pam_unix)[723]: session opened for user 
root by LOGIN(uid=0)
Mar 24 13:19:40 localhost  -- root[723]: ROOT LOGIN ON tty1
Mar 24 13:22:14 localhost gnome-name-server[813]: starting
Mar 24 13:22:14 localhost gnome-name-server[813]: name server starting
Mar 24 13:22:18 localhost kernel: hdb: ATAPI 6X CD-ROM drive, 256kB Cache
Mar 24 13:22:18 localhost kernel: Uniform CD-ROM driver Revision: 3.12
Comment 1 Bill Nottingham 2001-04-01 23:12:16 EDT
You're using the wrong entry for PCIC in /etc/sysconfig/pcmcia; it
needs (most likely) to be

PCIC=yenta_socket
Comment 2 Alex Genna 2001-04-03 00:43:36 EDT
Arjan thank you for responding to my email.  responding to your first message 
the kernel-pcmcia-cs package should match i downloaded the .iso image of 
wolverine.  I checked the package is kernel-pcmcia-cs-3.1.24-0.3 is this the 
one you ment by " try our .24 version" 

As you requested this is the lspci output:

00:00.0 Host bridge: Intel Corporation 430MX - 82437MX MTSC [430MX PCIset - 
82437MX Mobile System Controller (MTSC) and 82438MX Mobile Data Path (MT (rev 
02)
00:01.0 Bridge: Intel Corporation 430MX - 82371MX MPIIX [430MX PCIset - 82371MX 
Mobile PCI I/O IDE Xcelerator (MPIIX)] (rev 03)
00:02.0 VGA compatible controller: Neomagic Corporation NM2070 [MagicGraph 
NM2070] (rev 01)
00:04.0 PCMCIA bridge: Cirrus Logic CL 6729 (rev fe)



Comment 3 Alex Genna 2001-04-03 00:59:24 EDT
responding to notting@redhat.com

...I reinstalled over the weekend... 

as you suggested I tried "PCIC=yenta_socket" in /etc/sysconfig/pcmcia...is this 
the only configuration file I need to change for this to work.  I got the same 
error

/var/lof/message

Apr  2 23:58:11 rosetta pcmcia: /lib/modules/2.4.1-0.1.9/pcmcia/yenta_socket.o: 
Apr  2 23:58:11 rosetta pcmcia: Hint: insmod errors can be caused by incorrect 
module parameters, including invalid IO or IRQ parameters
Apr  2 23:58:11 rosetta pcmcia: init_module: No such device

If it's any help the machine dual boots... under win98

Card Services memory : 01800000-01800FFF
I/O Network Adapter  : 0300-031F
I/O Modem            : 03E8-03EF
IRQ                  : 11 (for both)
Comment 4 Arjan van de Ven 2001-04-07 18:46:39 EDT
yenta_socket does not support PCI/PCMCIA bridges, only PCI/Cardbus
This hardware is unfortunately currently not supported by the 2.4
kernel.
Comment 5 Alex Genna 2001-06-01 21:40:17 EDT
For posterity and to help the others out there - there wil be others these 
bridges are far from extinct.  I'm sending this comment to correct some bad 
info in responses above.  Many thanks to Adel Belhouane for the heads up.  
While Arjan has correctly stated "yenta_socket does not support PCI/PCMCIA 
bridges, only PCI/Cardbus" the yenta driver should never have beeen offered up 
as a suggesion, also 2.4 kernel support is not totally unsupportive, it just 
needs a litte coaxing.  Yenta is i82365 compatible, not the other way around: 
yenta is only for Cardbus bridges.  First, PCIC=i82365.  now:

Do a "lspci -v"

......
PCMCIA bridge: Cirrus Logic CL 6729 (rev 254).
I/O at 0xfcfc [0xfcff].

The bridge is at a non-expected i/o port, - not detectec.

So in /etc/pcmcia.conf add-
PCIC_OPTS='i365_base=0xfcff (the I/O address from lspci's output)

The card is then correctly detected...
(./test_setup output)

     Current kernel: 2.4.1-0.1.9 #1 Wed Feb 14 21:10:32 EST 2001
     Module info from /lib/modules/2.4.1-0.1.9/pcmcia/pcmcia_core.o:
       Linux PCMCIA Card Services 3.1.22
       options: [pci] [cardbus] [pm]

     Startup options from /etc/sysconfig/pcmcia:
       PCMCIA=yes
       PCIC=i82365
       PCIC_OPTS='i365_base=0xfcfc'
       CORE_OPTS=

     Checking current syslog files in /var/log:
       All PCMCIA messages are in /var/log/messages.

     Module status:
      The PCMCIA kernel modules are loaded correctly.

     Daemon status:
      cardmgr is running (process 1797)

     Current socket status from /var/lib/pcmcia/stab:
       Socket 0: empty
       Socket 1: Linksys EtherFast LANmodem 56K
       1	network	pcnet_cs	0	eth0
       1	serial	serial_cs	0	ttyS2	4	66

....now my only remaining grief is over the fact the the card is a cobo card, 
Lan works great but the modem is never detected returns a io port conflict.

Or i'm told you could recompile your 2.4 kernel *WITHOUT* pcmcia support and
compile everything from pcmcia-cs sources-----but i havn't tried yet.

again thanks for teh help Adel.

Note You need to log in before you can comment on or make changes to this bug.